# Consult configurations This endpoint allows you to query the current configuration of your reports. In case of success, the request will return a response with status 200. **GET** `/v1/account/release_report/config` ## Response parameters - `file_name_prefix` (string, optional) Prefix that composes the report name once generated and ready for download, not allowing empty or null values. - `display_timezone` (string, optional) This field sets the date and time displayed in the reports. In the absence of a specific time zone configuration, the system defaults to GMT-04. For time zones subject to daylight saving time, manual adjustments will be necessary to reflect the time changes. - `include_withdrawal_at_end` (boolean, optional) This field indicates whether withdrawal transactions made at the end of the specified date range in the report should be included. - `scheduled` (boolean, optional) Informative field indicating whether there are already scheduled reports in the user's account. It will be 'true' if automatic generation is enabled, and 'false' if it is disabled. - `execute_after_withdrawal` (boolean, optional) This parameter determines whether the report will be executed after a withdrawal is made. - `columns` (array, optional) Field with details of the columns that have been included in your report based on the values defined in the request. Find all possible values in the Glossary section (https://www.mercadopago.com/developers/en/docs/checkout-pro/additional-content/reports/released-money/report-use). - `columns[].key` (string, optional) Name of the report column you wish to display. - `report_translation` (string, optional) Configured language of the report. - `frequency` (object, optional) This field indicates the frequency with which the report should be generated, which can be daily, weekly, or monthly. - `frequency.hour` (number, optional) This field specifies the time at which the report will be generated, using the 24-hour format for its definition. - `frequency.value` (number, optional) This field defines the frequency at which the report is generated, either monthly or weekly, and its value complements the 'type' attribute. For example, if the frequency entered in 'type' is monthly ('monthly') and the value configured in this field is '1', it indicates that the report will be generated on the first day of each month. If the frequency entered in 'type' is daily ('daily'), the assigned value will be 0, and the time of day should be set in the 'hour' field. Whereas if the frequency entered in 'type' is weekly ('weekly'), the value configured in this field should be 'monday', 'tuesday', 'wednesday', 'thursday', 'friday', 'saturday', or 'sunday' to determine the day of the week on which the report is generated, with the time of day to be defined in the 'hour' field. - `frequency.type` (string, optional) This field indicates the type of frequency: 'daily' (daily), 'weekly' (weekly), and 'monthly' (monthly). It is important to remember that this field communicates directly with the 'value' field described above. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 401 | Invalid token | Invalid token. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/v1/account/release_report/config' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "file_name_prefix": "release-report-USER_ID", "display_timezone": "GMT-04", "include_withdrawal_at_end": true, "scheduled": false, "execute_after_withdrawal": false, "columns": [ { "key": "SOURCE_ID" } ], "report_translation": "es", "frequency": { "hour": 0, "value": 1, "type": "monthly" } } ```